port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - {name: 1.--US美国(mibei77.com 米贝节点分享) 9, server: 9x.938.pp.ua, port: 443, type: vmess, uuid: 906ba92f-ef96-4133-8eee-f33202a5a721, alterId: 0, cipher: auto, tls: true, skip-cert-verify: true, network: ws, ws-opts: {path: /DAxJddOdTd5pVam9w, headers: {Host: 9x.938.pp.ua}}, udp: true}
  - {name: 2.--US美国(mibei77.com 米贝节点分享) 3, server: 9uyiopsdfh.iran.pp.ua, port: 443, type: vmess, uuid: 906ba92f-ef96-4133-8eee-f33202a5a721, alterId: 0, cipher: auto, tls: true, skip-cert-verify: true, network: ws, ws-opts: {path: /DAxJddOdTd5pVam9w, headers: {Host: 9uyiopsdfh.iran.pp.ua}}, udp: true}
  - {name: 3.--US美国(mibei77.com 米贝节点分享) 5, server: 3sdfgvcxxx.938.pp.ua, port: 443, type: vmess, uuid: 0212fab5-e93c-4904-b7a8-187fd535f354, alterId: 0, cipher: auto, tls: true, skip-cert-verify: true, network: ws, ws-opts: {path: /P879mtCoHQqaWO67qEaMINZ1, headers: {Host: 3sdfgvcxxx.938.pp.ua}}, udp: true}
  - {name: 4.--_US_美国_2, server: 172.67.204.22, port: 443, type: trojan, password: 5453ae26-250d-4e79-b4ec-016baf806865, sni: 1SdfghJk.890602.xyz, skip-cert-verify: false, network: ws, ws-opts: {path: /OYzPAeaZdXUq2d6J3gc4aj, headers: {Host: 1SdfghJk.890602.xyz}}, udp: true}
  - {name: 5.--US美国(mibei77.com 米贝节点分享) 26, server: 2e21ceDC-fa8B-4020-8Ce0-390e7287d276.890603.pp.Ua, port: 443, type: vmess, uuid: 5453ae26-250d-4e79-b4ec-016baf806865, alterId: 0, cipher: auto, tls: true, skip-cert-verify: true, network: ws, ws-opts: {path: /h7Rcu0y30lhjdVjJ3gc4aj, headers: {Host: 2e21cedc-fa8b-4020-8ce0-390e7287d276.890603.pp.ua}}, udp: true}
  - {name: 6.--欧盟 V2CROSS.COM_2, server: 45.89.244.40, port: 11577, type: vmess, uuid: cf251364-e303-4ad3-91e9-b708c5417f83, alterId: 0, cipher: auto, tls: false, skip-cert-verify: true}
  - {name: 7.--美国 V2CROSS.COM_4, server: 45.146.232.171, port: 43383, type: trojan, password: 19b4d632-0d79-4702-bfc8-1179a7e7a885, sni: q08m.vgraxiw73s.hasyaf.cn, skip-cert-verify: true, udp: true}
  - {name: 8.--爱尔兰+V2CROSS.COM, server: 99.80.195.6, port: 22222, type: trojan, password: telegram-id-privatevpns, sni: trojan.burgerip.co.uk, skip-cert-verify: true, udp: true}
  - {name: 9.--美国+CloudFlare节点_6, server: 172.67.214.21, port: 443, type: trojan, password: 4be20cf1-6af1-4e87-ae5a-80d6ec30fecd, sni: 8fg.191268.xyz, skip-cert-verify: true, network: ws, ws-opts: {path: /tvowuLtlha3zxRV9PS, headers: {Host: 8fg.191268.xyz}}, udp: true}
  - {name: 10.--美国 华盛顿Cogent通信公司, server: 38.114.114.108, port: 8091, type: ss, cipher: aes-256-gcm, password: PCnnH6SQSnfoS27}
  - {name: 11.--美国 华盛顿Cogent通信公司 (1), server: 38.114.114.108, port: 8119, type: ss, cipher: aes-256-gcm, password: cdBIDV42DCwnfIN}
  - {name: 12.--乌克兰 V2CROSS.COM, server: 195.85.250.173, port: 5555, type: ss, cipher: chacha20-ietf-poly1305, password: 4QbzZcp6q7kg0LCrZfyQ9w}
  - {name: 13.--广东省广州市+电信_2, server: sla.cn.964e995b760.gogodns.xin, port: 46668, type: trojan, password: 8e603038-3713-4c74-9b9c-43ad4cc15650, sni: q08m.vgraxiw73s.hasyaf.cn, skip-cert-verify: true, udp: true}
  - {name: 14.--美国 华盛顿Cogent通信公司 (1) 2, server: 38.114.114.108, port: 8882, type: ss, cipher: aes-256-gcm, password: kDWvXYZoTBcGkC4}
  - {name: 15.--14|SG_speednode_0078, server: 103.253.24.212, port: 443, type: trojan, password: f7a08c90-1f80-11f0-8f88-1239d0255272, sni: telewebion.com, skip-cert-verify: true}
  - {name: "16.--1,14|SG_speednode_0079", server: sg1.6n6.net, port: 443, type: trojan, password: f7a08c90-1f80-11f0-8f88-1239d0255272, sni: telewebion.com, skip-cert-verify: true}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - 1.--US美国(mibei77.com 米贝节点分享) 9
      - 2.--US美国(mibei77.com 米贝节点分享) 3
      - 3.--US美国(mibei77.com 米贝节点分享) 5
      - 4.--_US_美国_2
      - 5.--US美国(mibei77.com 米贝节点分享) 26
      - 6.--欧盟 V2CROSS.COM_2
      - 7.--美国 V2CROSS.COM_4
      - 8.--爱尔兰+V2CROSS.COM
      - 9.--美国+CloudFlare节点_6
      - 10.--美国 华盛顿Cogent通信公司
      - 11.--美国 华盛顿Cogent通信公司 (1)
      - 12.--乌克兰 V2CROSS.COM
      - 13.--广东省广州市+电信_2
      - 14.--美国 华盛顿Cogent通信公司 (1) 2
      - 15.--14|SG_speednode_0078
      - 16.--1,14|SG_speednode_0079
  - name: 自动选择
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--US美国(mibei77.com 米贝节点分享) 9
      - 2.--US美国(mibei77.com 米贝节点分享) 3
      - 3.--US美国(mibei77.com 米贝节点分享) 5
      - 4.--_US_美国_2
      - 5.--US美国(mibei77.com 米贝节点分享) 26
      - 6.--欧盟 V2CROSS.COM_2
      - 7.--美国 V2CROSS.COM_4
      - 8.--爱尔兰+V2CROSS.COM
      - 9.--美国+CloudFlare节点_6
      - 10.--美国 华盛顿Cogent通信公司
      - 11.--美国 华盛顿Cogent通信公司 (1)
      - 12.--乌克兰 V2CROSS.COM
      - 13.--广东省广州市+电信_2
      - 14.--美国 华盛顿Cogent通信公司 (1) 2
      - 15.--14|SG_speednode_0078
      - 16.--1,14|SG_speednode_0079
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--US美国(mibei77.com 米贝节点分享) 9
      - 2.--US美国(mibei77.com 米贝节点分享) 3
      - 3.--US美国(mibei77.com 米贝节点分享) 5
      - 4.--_US_美国_2
      - 5.--US美国(mibei77.com 米贝节点分享) 26
      - 6.--欧盟 V2CROSS.COM_2
      - 7.--美国 V2CROSS.COM_4
      - 8.--爱尔兰+V2CROSS.COM
      - 9.--美国+CloudFlare节点_6
      - 10.--美国 华盛顿Cogent通信公司
      - 11.--美国 华盛顿Cogent通信公司 (1)
      - 12.--乌克兰 V2CROSS.COM
      - 13.--广东省广州市+电信_2
      - 14.--美国 华盛顿Cogent通信公司 (1) 2
      - 15.--14|SG_speednode_0078
      - 16.--1,14|SG_speednode_0079
  - name: 中国节点
    type: select
    proxies:
      - DIRECT
  - name: 日本节点
    type: select
    proxies:
      - DIRECT
  - name: 新加坡节点
    type: select
    proxies:
      - 15.--14|SG_speednode_0078
      - 16.--1,14|SG_speednode_0079
  - name: 美国节点
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 150
    proxies:
      - 1.--US美国(mibei77.com 米贝节点分享) 9
      - 2.--US美国(mibei77.com 米贝节点分享) 3
      - 3.--US美国(mibei77.com 米贝节点分享) 5
      - 4.--_US_美国_2
      - 5.--US美国(mibei77.com 米贝节点分享) 26
      - 7.--美国 V2CROSS.COM_4
      - 9.--美国+CloudFlare节点_6
      - 10.--美国 华盛顿Cogent通信公司
      - 11.--美国 华盛顿Cogent通信公司 (1)
      - 14.--美国 华盛顿Cogent通信公司 (1) 2
rules:
  - DOMAIN,9x.938.pp.ua,DIRECT
  - DOMAIN,9uyiopsdfh.iran.pp.ua,DIRECT
  - DOMAIN,3sdfgvcxxx.938.pp.ua,DIRECT
  - IP-CIDR,172.67.204.22/32,DIRECT,no-resolve
  - DOMAIN,2e21ceDC-fa8B-4020-8Ce0-390e7287d276.890603.pp.Ua,DIRECT
  - IP-CIDR,45.89.244.40/32,DIRECT,no-resolve
  - IP-CIDR,45.146.232.171/32,DIRECT,no-resolve
  - IP-CIDR,99.80.195.6/32,DIRECT,no-resolve
  - IP-CIDR,172.67.214.21/32,DIRECT,no-resolve
  - IP-CIDR,38.114.114.108/32,DIRECT,no-resolve
  - IP-CIDR,38.114.114.108/32,DIRECT,no-resolve
  - IP-CIDR,195.85.250.173/32,DIRECT,no-resolve
  - DOMAIN,sla.cn.964e995b760.gogodns.xin,DIRECT
  - IP-CIDR,38.114.114.108/32,DIRECT,no-resolve
  - IP-CIDR,103.253.24.212/32,DIRECT,no-resolve
  - DOMAIN,sg1.6n6.net,DIRECT
  - MATCH,手动切换
